<script lang="ts">
import Vue from 'vue';
import Accordion from './accordion.vue';

export default Vue.extend({
  name: 'NoImageAccordion',
  components: { Accordion },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  data() {
    return {
      isOpenIndex: 0 as any,
    };
  },
  methods: {
    toggleController(index: number) {
      if (this.isOpenIndex === index) {
        this.isOpenIndex = null;
        return;
      }
      this.isOpenIndex = index;
    },
  },
});
</script>

<template>
  <section :id="data.id" class="no-image-accordion slp-py-48 slp-py-md-64">
    <SlpTypography tag="h2" variant="heading3-bold" class="slp-my-16">
      {{ data.title }}
    </SlpTypography>
    <SlpRow>
      <Accordion
        v-for="(item, index) in data.items"
        :key="item.header"
        :data="item"
        :is-open="isOpenIndex == index"
        @toggleController="toggleController(index)"
      >
        <template #header>
          {{ item.header }}
        </template>
        <template #content>
          <SlpRow class="no-image-accordion__content">
            <SlpIcon
              v-if="item.icon"
              class="slp-mr-16"
              :name="item.icon.name"
              :alt="item.icon.alt"
              :variant="item.icon.variant"
              size="md"
            />
            <SlpColumn>
              <SlpTypography tag="p" variant="body1">
                {{ item.text }}
              </SlpTypography>
            </SlpColumn>
          </SlpRow>
        </template>
      </Accordion>
    </SlpRow>
  </section>
</template>

<style lang="scss" scoped>
.no-image-accordion {
  .accordion:last-child {
    border-bottom: 1px solid $color-surface-300;
  }

  &__content {
    flex-direction: row;
    flex-wrap: nowrap;
    padding-top: $spacing-8;
  }
}
</style>
